## pangoterm 0~bzr607

=== debian/changelog ===
pangoterm (0~bzr607-2) unstable; urgency=medium

  * control: Change Vcs-* to salsa.debian.org
  * Bump debhelper compat to 11
  * control: Declare compliance with Policy 4.1.3
  * rules: Remove unnecessary dbgsym migration

 -- James McCoy <jamessan@debian.org>  Sat, 17 Mar 2018 21:22:37 -0400

pangoterm (0~bzr607-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream snapshot
    + Bump libvterm Build-Depends to >= 0~bzr713 for focus reporting
  * Switch to automatic debug package
  * Set Rules-Requires-Root to no
  * Change Priority to optional
  * Bump debhelper compat to 10
  * Declare compliance with Policy 4.1.1

 -- James McCoy <jamessan@debian.org>  Sun, 12 Nov 2017 13:15:47 -0500

pangoterm (0~bzr593-1) experimental; urgency=medium

  * New upstream release
    + Bump libvterm Build-Depends to >= 0~bzr650 for bracketed paste support.

 -- James McCoy <jamessan@debian.org>  Tue, 17 Nov 2015 23:23:07 -0500

pangoterm (0~bzr572-1) experimental; urgency=medium

  * Fix Vcs-* URLs
  * New upstream snapshot

 -- James McCoy <jamessan@debian.org>  Wed, 25 Feb 2015 21:42:45 -0500

pangoterm (0~bzr560-2) experimental; urgency=medium

  * Only use non-portable termios flags if they're defined.
  * Pass --as-needed to the linker to avoid unnecessary dependencies.
  * Add pangoterm as an x-terminal-emulator alternative.

 -- James McCoy <jamessan@debian.org>  Thu, 01 Jan 2015 18:21:23 -0500

pangoterm (0~bzr560-1) experimental; urgency=low

  * Initial release (Closes: #740398)

 -- James McCoy <jamessan@debian.org>  Thu, 11 Dec 2014 22:27:15 -0500
