=== debian/control ===
Source: pangoterm
Priority: optional
Maintainer: James McCoy <jamessan@debian.org>
Build-Depends: debhelper (>= 11), libtool-bin, libcairo-dev, libgtk2.0-dev, libvterm-dev (>= 0~bzr713)
Standards-Version: 4.1.3
Section: x11
Rules-Requires-Root: no
Homepage: http://www.leonerd.org.uk/code/pangoterm/
Vcs-Git: https://salsa.debian.org/jamessan/pangoterm.git
Vcs-Browser: https://salsa.debian.org/jamessan/pangoterm

Package: pangoterm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GTK/Pango-based terminal
 A minimal GTK/Pango-based terminal which that uses libvterm to provide
 terminal emulation.
