=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

LDFLAGS += -Wl,--as-needed
export CFLAGS CPPFLAGS LDFLAGS

%:
	dh $@

override_dh_auto_build-arch:
	$(MAKE) VERBOSE=1 PREFIX=/usr

override_dh_auto_install-arch:
	$(MAKE) VERBOSE=1 PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp install
