## pangoterm 0~bzr613

=== debian/changelog ===
pangoterm (0~bzr613-1build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 16:05:41 -0500

pangoterm (0~bzr613-1) unstable; urgency=medium

  * New upstream snapshot
    + Set $COLORTERM=truecolor
    + Set $WINDOWID
    + Support for libvterm 0.1 API
  * control:
    + Bump libvterm Build-Depends to >= 0.1
  * rules:
    + Add handling for DEB_BUILD_OPTIONS=terse
    + Use dh_missing --fail-missing
    + Smuggle $CPPFLAGS through $CFLAGS
  * Update to debhelper 12, via Build-Depends on debhelper-compat (= 12)
  * Declare compliance with Policy 4.4.0
  * Bump copyright years

 -- James McCoy <jamessan@debian.org>  Sat, 21 Sep 2019 20:44:55 -0400
