=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: pangoterm
 Priority: optional
 Maintainer: James McCoy <jamessan@debian.org>
-Build-Depends: debhelper (>= 11), libtool-bin, libcairo-dev, libgtk2.0-dev, libvterm-dev (>= 0~bzr713)
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 12), libtool-bin, libcairo-dev, libgtk2.0-dev, libvterm-dev (>= 0.1)
+Standards-Version: 4.4.0
 Section: x11
 Rules-Requires-Root: no
 Homepage: http://www.leonerd.org.uk/code/pangoterm/
